Page MenuHomePhabricator

[OpenMP] Update third-party sources of ittnotify client code
ClosedPublic

Authored by AndreyChurbanov on Sep 6 2021, 12:34 PM.

Details

Summary

The third-party ittnotify sources updated from https://github.com/intel/ittapi.

Changes applied:

  • llvm license aded to all files; initial BSD license saved in LICENSE.txt;
  • clang-formatted;
  • renamed *.c to *.cpp, similar to what we did with all our sources;
  • added #include "kmp_config.h" with definition of INTEL_ITTNOTIFY_PREFIX macro into ittnotify_static.cpp.

Diff Detail

Event Timeline

AndreyChurbanov requested review of this revision.Sep 6 2021, 12:34 PM
hbae accepted this revision.Sep 15 2021, 4:18 PM

LGTM

This revision is now accepted and ready to land.Sep 15 2021, 4:18 PM
This revision was landed with ongoing or failed builds.Sep 17 2021, 9:38 AM
This revision was automatically updated to reflect the committed changes.